using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsNoticePriceContractType {
        public BemsNoticePriceContractType() {
            BemsDeviceTypeUsingEnergy = new HashSet<BemsDeviceTypeUsingEnergy>();
            BemsNoticePriceBase = new HashSet<BemsNoticePriceBase>();
        }

        //고지단가 계약유형
        [Display(Name = "에너지 구분"), Key]
        public short? FuelTypeId { get; set; }
        [Display(Name = "계약 타입"), Key]
        public short? ContractType { get; set; }
        [Display(Name = "계약명"), Required]
        [StringLength(50)]
        public string Name { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [InverseProperty("BemsNoticePriceContractType")]
        public virtual ICollection<BemsDeviceTypeUsingEnergy> BemsDeviceTypeUsingEnergy { get; set; }
        [InverseProperty("BemsNoticePriceContractType")]
        public virtual ICollection<BemsNoticePriceBase> BemsNoticePriceBase { get; set; }
    }
}
